From 1d16100216816bbc087fb89e93c8ac33e92a0f53 Mon Sep 17 00:00:00 2001
From: Omar Vega Ramos <ovruni@gnu.org.pe>
Date: Mar 05 2023 09:49:04 +0000
Subject: [PATCH 29/33] systemd-253-1.parabola1: updating version


---

diff --git a/libre/systemd/PKGBUILD b/libre/systemd/PKGBUILD
index 358d3e1..adbfcae 100644
--- a/libre/systemd/PKGBUILD
+++ b/libre/systemd/PKGBUILD
@@ -9,8 +9,8 @@ pkgname+=('systemd-common' 'systemd-udev')
 # We split Arch's systemd-libs into systemd-$X, for the following $X:
 _systemd_libs=('libsystemd' 'libudev' 'nss-systemd' 'nss-myhostname' 'nss-mymachines' 'nss-resolve')
 pkgname+=("${_systemd_libs[@]/#/systemd-}")
-_tag='b16ce4c7ab80665b65345ea030c51a5c758fe66b' # git rev-parse v${_tag_name}
-_tag_name=252.5
+_tag='eb0f8fc41511dda1f9e0d19e830cc8c6668a2628' # git rev-parse v${_tag_name}
+_tag_name=253
 pkgver="${_tag_name/-/}"
 pkgrel=1
 pkgrel+=.parabola1
@@ -63,7 +63,7 @@ sha512sums=('SKIP'
             'SKIP'
             '3ccf783c28f7a1c857120abac4002ca91ae1f92205dcd5a84aff515d57e706a3f9240d75a0a67cff5085716885e06e62597baa86897f298662ec36a940cf410e'
             'f0d933e8c6064ed830dec54049b0a01e27be87203208f6ae982f10fb4eddc7258cb2919d594cbfb9a33e74c3510cfd682f3416ba8e804387ab87d1a217eb4b73'
-            'aeefb607471cffb5ed4c3d9f36dc0954a9a08cee4b7b4ff55468b561e089e3d8448398906a7df328049ba51b712e4d50698b96bc152bdb03a35ce39c3f51a7cb'
+            'c6c30042b9f11c04e4430a4f45cce09c2dcc706bac567d7f8ec93b92ef791cd726d81c5b7d5468b350377f6338fa24d39c1ee8f4e8ce5826a61f4a9d4de4b25b'
             'a8c7e4a2cc9c9987e3c957a1fc3afe8281f2281fffd2e890913dcf00cf704024fb80d86cb75f9314b99b0e03bac275b22de93307bfc226d8be9435497e95b7e6'
             '70b3f1d6aaa9cd4b6b34055a587554770c34194100b17b2ef3aaf4f16f68da0865f6b3ae443b3252d395e80efabd412b763259ffb76c902b60e23b6b522e3cc8'
             '6c6f579644ea2ebb6b46ee274ab15110718b0de40def8c30173ba8480b045d403f2aedd15b50ad9b96453f4ad56920d1350ff76563755bb9a80b10fa7f64f1d9'
@@ -71,7 +71,7 @@ sha512sums=('SKIP'
             'b90c99d768dc2a4f020ba854edf45ccf1b86a09d2f66e475de21fe589ff7e32c33ef4aa0876d7f1864491488fd7edb2682fc0d68e83a6d4890a0778dc2d6fe19'
             'f47638f4f0c154b7833a055b78b6dad14f17be43af0279f65d26e34926a80263bcec33eeda03debd72cdd2b9b0ef23d91f1a7e5ab2915936046c3231e97e3acb'
             '299dcc7094ce53474521356647bdd2fb069731c08d14a872a425412fcd72da840727a23664b12d95465bf313e8e8297da31259508d1c62cc2dcea596160e21c5'
-            '456cbd555bf173252647488c01f4111d9f6c0dc7dc67af6f1fb5a65089649a388b2a2c0364eb4ab626b4dcb02cc9d775bbd9f87b56434780a073f6753ff06d65'
+            '528bbf114ca4fc02a2cfc0d684c43859e79aa8b1ea5c4145b74848849b5644cbf44500c57751e75a250f4d53b46249efce18ca1190e03c3d06f0a2750ce19698'
             '0d6bc3d928cfafe4e4e0bc04dbb95c5d2b078573e4f9e0576e7f53a8fab08a7077202f575d74a3960248c4904b5f7f0661bf17dbe163c524ab51dd30e3cb80f7'
             '2b50b25e8680878f7974fa9d519df7e141ca11c4bfe84a92a5d01bb193f034b1726ea05b3c0030bad1fbda8dbb78bf1dc7b73859053581b55ba813c39b27d9dc'
             '63e55b3acd14bc54320b6f2310b43398651ad4e262d4f4a0135e05d34a993e56ed673cc46e57f15b418371df5c4cef6f54486db96325e4abb1d33fb1a3946254'
@@ -81,16 +81,14 @@ sha512sums=('SKIP'
             '5aa475f37d35752a95e73417c38c4d3bc4d15d5f1052e95d75b4c4144b74c79af94da1d1e954be536339f9829a1ceb3a1bc5c6adceb187df7a8e5f5a83e4a850'
             '825b9dd0167c072ba62cabe0677e7cd20f2b4b850328022540f122689d8b25315005fa98ce867cf6e7460b2b26df16b88bb3b5c9ebf721746dce4e2271af7b97'
             'a277bef64318f91747b8b9c74282e6f346690712ed7296d102688173409f7987673619fb44f3c6609bd38781d382871f56a89be771279e610a5437520183c9b9'
-            '6784f8d84e7f6063f3ea189eede45725ca913cd2140858416ba097f0dbb8cfff8bbe5c6a52715086e720b11351803f9eb18d71a6f63bc59dd44f9e24a4d45176'
-            '1c93f6641d537290786137138db1ff8e23de754ce7dc20aaed458e13763f29cdddf699eeb9bb2cdaa244495ae1611784dcde7ef32846d2c4043d691ca682ea23'
+            '21e30bedbfa326af04dc73d0281d01d069b6287b45dbb49b7b93d1bceb6c030532e1739b83ed425c20d0deba0a824f0f3147d1e8c3d26206c8edc541e3fc32b6'
+            '730014c3ce5e9526075569641efadec6acf75df5a88e26b83420b130399f3ba8b6a23d778e7221abe8bfd9e54457562905fa068911be5078ac3cd993dad468a5'
             'f24191e6331b58dc4f1c1b7b28b854ba94c6de53b2dc97e5721c208abe7543efab4b8519013bdb02ebeb5058dd5c56a8318bf99a972772de188b40861c88e349'
             'c6a8a56c54415a266dcb57cc24fd91d085ca7298aca6b522e626f41ed216b13c9695ff4d209f7e60d24fb5e65e40ef5151c8d95db6950eda8a4150d28fcd56be'
-            '8a7d9be0482307efaf290a9c764802e0fae557a6017b893c054e60ea3938aaa5d6a996161828fbd3340177b2f1ad1f523493975c9ed25c6d8dcd7606b112a81e'
-            '10c366c0d8922c26ac7e57cf907a449e05084cb33ef4d2c79243364c8827634a5c92f7108fb40c39199a1013bd5dde3e58bf37d03a497843861d13abe94431f7')
+            '347d5c7b7e809191588e97638b2792edb40cec6c20f1983920f0a66b0acc7ef77d30c6d45f730c0e70b2af0f9851d16d2c1838a52b0d9b6b3344be3c8815f823'
+            '9786edfa655c7400aba362f5fabb93df33e23dfb86e9820585943467f4918937f30e4d9daa74538321a288c2611dda95b700efae14719d34dac6d79eab537a60')
 
 _backports=(
-  # rules: add missing line continuation
-  'de8409ac43f6e4596de4cecce8dbbb5f1f2a18b1'
 )
 
 _reverts=(
@@ -256,10 +254,12 @@ package_systemd() {
               'quota-tools: kernel-level quota management'
               'systemd-sysvcompat: symlink package to provide sysvinit binaries'
               'polkit: allow administration as unprivileged user'
+              'python: Unified Kernel Image with ukify'
               'curl: machinectl pull-tar and pull-raw'
               'gnutls: systemd-journal-gatewayd and systemd-journal-remote'
               'libbpf: support BPF programs'
               'libfido2: unlocking LUKS2 volumes with FIDO2 token'
+              'libp11-kit: support PKCS#11'
               'tpm2-tss: unlocking LUKS2 volumes with TPM2')
   backup=(etc/pam.d/systemd-user
           etc/systemd/coredump.conf
@@ -329,7 +329,7 @@ package_systemd-common() {
            'glibc' 'iptables' 'libcap' 'libcap.so'
            'libgcrypt' 'libxcrypt' 'libcrypt.so' 'libidn2' 'libseccomp' 'libseccomp.so' 'libsystemd.so'
            'libudev.so' 'libblkid.so' 'libmount.so' 'libuuid.so' 'lz4'
-           'xz' 'audit' 'libaudit.so' 'libp11-kit' 'libp11-kit.so' 'openssl' 'libcrypto.so' 'libssl.so')
+           'xz' 'audit' 'libaudit.so' 'openssl' 'libcrypto.so' 'libssl.so')
 
   cp -rT -d --no-preserve=ownership,timestamp "$srcdir/dest/${pkgname#systemd-}" "$pkgdir"
 }
@@ -367,7 +367,7 @@ package_systemd-libs() {
 
 package_systemd-libsystemd() {
   pkgdesc='systemd client library'
-  depends=('glibc' 'libcap' 'libcap.so' 'libgcrypt' 'libp11-kit' 'lz4' 'xz' 'zstd')
+  depends=('glibc' 'gcc-libs' 'libcap' 'libcap.so' 'libgcrypt' 'lz4' 'xz' 'zstd')
   license=('LGPL2.1')
   provides=('libsystemd.so')
 
diff --git a/libre/systemd/initcpio-install-systemd b/libre/systemd/initcpio-install-systemd
index b9d7985..c9aa082 100644
--- a/libre/systemd/initcpio-install-systemd
+++ b/libre/systemd/initcpio-install-systemd
@@ -105,15 +105,16 @@ build() {
             swap.target \
             systemd-fsck@.service \
             systemd-hibernate-resume@.service \
-            systemd-journald.service \
             systemd-journald-audit.socket \
             systemd-journald-dev-log.socket \
+            systemd-journald.service \
             systemd-modules-load.service \
+            systemd-pcrphase-initrd.service \
             systemd-tmpfiles-setup-dev.service \
-            systemd-udev-trigger.service \
             systemd-udevd-control.socket \
             systemd-udevd-kernel.socket \
             systemd-udevd.service \
+            systemd-udev-trigger.service \
             timers.target \
             rescue.target \
             emergency.target
diff --git a/libre/systemd/udev-hook b/libre/systemd/udev-hook
index 659463a..868a1de 100644
--- a/libre/systemd/udev-hook
+++ b/libre/systemd/udev-hook
@@ -18,7 +18,7 @@ udevd_live() {
 case $1 in
   hwdb)     /usr/bin/systemd-hwdb --usr update ;;
 
-  udev-reload)   udevd_live;   /usr/bin/udevadm control --reload ;;
+  udev-reload)   udevd_live;   /usr/bin/udevadm control --reload; /usr/bin/udevadm trigger ;;
 
   *) echo >&2 "  Invalid operation '$1'"; exit 1 ;;
 esac

